Package org.apache.sling.cms.publication

## Enum INSTANCE_TYPE

- java.lang.Object
- - java.lang.Enum<INSTANCE_TYPE>
  - - org.apache.sling.cms.publication.INSTANCE_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<INSTANCE_TYPE>`

    public enum INSTANCE_TYPE
    extends Enum<INSTANCE_TYPE>

### Enum Constant Summary

Enum Constants
`AUTHOR`
`RENDERER`
`STANDALONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static INSTANCE_TYPE` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static INSTANCE_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STANDALONE

    public static final INSTANCE_TYPE STANDALONE

#### AUTHOR

    public static final INSTANCE_TYPE AUTHOR

#### RENDERER

    public static final INSTANCE_TYPE RENDERER

### Method Detail

#### values

    public static INSTANCE_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (INSTANCE_TYPE c : INSTANCE_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static INSTANCE_TYPE valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null